﻿@model Tuple<List<ServiceCallView>, List<ARGNS.Model.Implementations.SAP.ServiceStatus>>
@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ServiceCallList.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ServiceCallList.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                         
}
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@ServiceCall.ServiceList</h3>
    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>@ServiceCall.Date</th>
                        <th>@ServiceCall.CustCode</th>
                        <th>@ServiceCall.CustName</th>
                        <th>@ServiceCall.Contract</th>                       
                        <th>@ServiceCall.Subject</th>
                        <th>@ServiceCall.RefNumber</th>
                        <th>@ServiceCall.Status</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @if (Model != null)
                    {
                        foreach (ServiceCallView item in Model.Item1)
                        {
                            <tr>
                                <td>@item.callID</td>
                                <td>@item.createDate.Value.ToShortDateString()</td>
                                <td>@item.customer</td>
                                <td>@item.custmrName</td>
                                <td>@item.contractID</td>
                                <td>@item.subject</td>
                                <td>@item.NumAtCard</td>
                                <td>@(Model.Item2.Where(c => c.statusID == item.status).FirstOrDefault().Name)</td>
                                <td>                                 
                                    @if (_Update)
                                    {
                                        <a href='@Url.Action("Action", "ServiceCall", new { @pAction = "Update", @pCode = item.callID, @pFrom = "MyService" })' class="btn btn-primary btn-xs" target="_blank">
                                            <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@ServiceCall.Edit
                                        </a>
                                    }
                                </td>
                            </tr>
                        }
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>

<div class="col-md-2 pull-right">
@if (_Add)
{
    <a href='@Url.Action("Action", "ServiceCall", new { @pAction = "Add", @pCode = 0, @pFrom = "MyService" })' class="btn btn-success btn-lg pull-right ">
        <span class="glyphicon glyphicon-file"></span>&nbsp;@ServiceCall.New @ServiceCall.ServiceCallTitle
    </a> 
}    
</div>
